import { DimensionColPin, ViewPortScrollEvent, ElementsScroll, ElementScroll, MultiDimensionType } from "../../types/index";
export default class GridScrollingService {
    private setViewport;
    private elements;
    constructor(setViewport: (e: ViewPortScrollEvent<MultiDimensionType>) => void);
    proxyScroll(e: ViewPortScrollEvent, key?: DimensionColPin | string, skipEvent?: boolean): Promise<void>;
    /**
     * Silent scroll update for mobile devices when we have negative scroll top
     */
    scrollSilentService(e: ViewPortScrollEvent, key?: DimensionColPin | string): Promise<void>;
    private isPinnedColumn;
    registerElements(els: ElementsScroll): void;
    /**
     * Register new element for farther scroll support
     * @param el - can be null if holder removed
     * @param key - element key
     */
    registerElement(el: ElementScroll | null | undefined, key: string): void;
    unregister(): void;
}
